# View/Razor Examples

*Lots of examples of using various techniques to render data in a view*

## Rendering the raw value of a field from IPublishedContent

```csharp
@Model.Value("bodyContent")
```

## Rendering the converted value of a field from IPublishedContent

```csharp
@Model.Value<double>("amount")
@Model.Value<IHtmlString>("bodyContent")
```

## Rendering some member data

```csharp
@if(Members.IsLoggedIn()){
    var profile = Members.GetCurrentMemberProfileModel();
    var umbracomember = Members.GetByUsername(profile.UserName);

    <h1>@umbracomember.Name</h1>
    <p>@umbracomember.Value<string>("bio")</p>
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
